DefaultArtefactInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultArtefactInfo

    java.lang.Object
      org.codehaus.groovy.grails.commons.DefaultArtefactInfo

All Implemented Interfaces:
  ArtefactInfo

    public class DefaultArtefactInfo
    extends java.lang.Object

Mutable holder of artefact info.

Authors:
  Marc Palmer (marc@anyware.co.uk)
  Graeme Rocher

Field Summary
`java.util.Map` | `handlerData`

Method Summary
`void` | `addGrailsClass(GrailsClass artefactClass)`
`void` | `addOverridableGrailsClass(GrailsClass artefactGrailsClass)`
`java.lang.Class[]` | `getClasses()`
`java.util.Map` | `getClassesByName()`
`GrailsClass` | `getGrailsClass(java.lang.String name)`
`GrailsClass` | `getGrailsClassByLogicalPropertyName(java.lang.String logicalName)`
`GrailsClass[]` | `getGrailsClasses()`
`java.util.Map` | `getGrailsClassesByName()`
`void` | `updateComplete()` Refresh the arrays generated from the maps.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### handlerData

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map handlerData

Method Detail

### addGrailsClass

    public void addGrailsClass(GrailsClass artefactClass)

  Call to add a new class to this info object.

  You must call refresh() later to update the arrays

  Parameters:
    artefactClass

### addOverridableGrailsClass

    public void addOverridableGrailsClass(GrailsClass artefactGrailsClass)

### getClasses

    public java.lang.Class[] getClasses()

### getClassesByName

    public java.util.Map getClassesByName()

### getGrailsClass

    public GrailsClass getGrailsClass(java.lang.String name)

### getGrailsClassByLogicalPropertyName

    public GrailsClass getGrailsClassByLogicalPropertyName(java.lang.String logicalName)

### getGrailsClasses

    public GrailsClass[] getGrailsClasses()

### getGrailsClassesByName

    public java.util.Map getGrailsClassesByName()

### updateComplete

    public void updateComplete()

  Refresh the arrays generated from the maps.

Groovy Documentation